| OpenCV 3.4.3 Open Source Computer Vision

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::stereo::Matching Class Reference

`#include "matching.hpp"`

## Public Member Functions
| Matching (void)
| Matching (int maxDisp, int scalling=4, int confidence=6)
| ~Matching (void)
template<typename T >
void | Median1x9Filter (const Mat &originalImage, Mat &filteredImage)
template<typename T >
void | Median9x1Filter (const Mat &originalImage, Mat &filteredImage)
| 9x1 median filter More...

## Protected Member Functions
void | blockAgregation (const Mat &partialSums, int windowSize, Mat &cost)
| The aggregation on the cost volume. More...
void | costGathering (const Mat &hammingDistanceCost, Mat &cost)
void | dispartyMapFormation (const Mat &costVolume, Mat &mapFinal, int th)
double | getConfidence ()
int | getMaxDisparity ()
| method for getting the disparity More...
int | getScallingFactor ()
| method for getting the scalling factor More...
void | hammingDistanceBlockMatching (const Mat &leftImage, const Mat &rightImage, Mat &cost, const int kernelSize=9)
void | setConfidence (double val)
| setter for the confidence check More...
void | setMaxDisparity (int val)
| method for setting the maximum disparity More...
void | setScallingFactor (int val)
| a number by which the disparity will be multiplied for better display More...
template<typename T >
void | smallRegionRemoval (const Mat &currentMap, int t, Mat &out)
| remove small regions that have an area smaller than t, we fill the region with the average of the good pixels around it More...

## Protected Attributes
Mat_< int > | puss
Mat_< int > | speckleX
Mat_< int > | speckleY

## Constructor & Destructor Documentation

## § Matching() [1/2]

cv::stereo::Matching::Matching | ( | void |  | ) |
| inline

constructor for the matching class maxDisp - represents the maximum disparity

## § ~Matching()

cv::stereo::Matching::~Matching | ( | void |  | ) |
| inline

## § Matching() [2/2]

cv::stereo::Matching::Matching | ( | int | maxDisp,
|  | int | scalling = `4`,
|  | int | confidence = `6`
| ) |  |
| inline

## Member Function Documentation

## § blockAgregation()

void cv::stereo::Matching::blockAgregation | ( | const Mat & | partialSums,
|  | int | windowSize,
|  | Mat & | cost
| ) |  |
| inline protected

The aggregation on the cost volume.

## § costGathering()

void cv::stereo::Matching::costGathering | ( | const Mat & | hammingDistanceCost,
|  | Mat & | cost
| ) |  |
| inline protected

## § dispartyMapFormation()

void cv::stereo::Matching::dispartyMapFormation | ( | const Mat & | costVolume,
|  | Mat & | mapFinal,
|  | int | th
| ) |  |
| inline protected

Method responsible for generating the disparity map function for generating disparity maps at sub pixel level

## § getConfidence()

double cv::stereo::Matching::getConfidence | ( |  | ) |
| inline protected

## § getMaxDisparity()

int cv::stereo::Matching::getMaxDisparity | ( |  | ) |
| inline protected

method for getting the disparity

## § getScallingFactor()

int cv::stereo::Matching::getScallingFactor | ( |  | ) |
| inline protected

method for getting the scalling factor

## § hammingDistanceBlockMatching()

void cv::stereo::Matching::hammingDistanceBlockMatching | ( | const Mat & | leftImage,
|  | const Mat & | rightImage,
|  | Mat & | cost,
|  | const int | kernelSize = `9`
| ) |  |
| inline protected

Hamming distance computation method leftImage and rightImage are the two transformed images the cost is the resulted cost volume and kernel Size is the size of the matching window

## § Median1x9Filter()

template<typename T >

void cv::stereo::Matching::Median1x9Filter | ( | const Mat & | originalImage,
|  | Mat & | filteredImage
| ) |  |
| inline

a median filter of 1x9 and 9x1 1x9 median filter

## § Median9x1Filter()

template<typename T >

void cv::stereo::Matching::Median9x1Filter | ( | const Mat & | originalImage,
|  | Mat & | filteredImage
| ) |  |
| inline

9x1 median filter

## § setConfidence()

void cv::stereo::Matching::setConfidence | ( | double | val | ) |
| inline protected

setter for the confidence check

## § setMaxDisparity()

void cv::stereo::Matching::setMaxDisparity | ( | int | val | ) |
| inline protected

method for setting the maximum disparity

## § setScallingFactor()

void cv::stereo::Matching::setScallingFactor | ( | int | val | ) |
| inline protected

a number by which the disparity will be multiplied for better display

## § smallRegionRemoval()

template<typename T >

void cv::stereo::Matching::smallRegionRemoval | ( | const Mat & | currentMap,
|  | int | t,
|  | Mat & | out
| ) |  |
| inline protected

remove small regions that have an area smaller than t, we fill the region with the average of the good pixels around it

## Member Data Documentation

## § puss

Mat_<int> cv::stereo::Matching::puss
| protected

## § speckleX

Mat_<int> cv::stereo::Matching::speckleX
| protected

## § speckleY

Mat_<int> cv::stereo::Matching::speckleY
| protected

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/stereo/include/opencv2/stereo/matching.hpp